package com.tzld.longarticle.recommend.server.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.dto.*;
import com.tzld.longarticle.recommend.server.model.dto.aigc.BadCrawlerAccountDTO;
import com.tzld.longarticle.recommend.server.model.dto.aigc.IdChannelDTO;
import com.tzld.longarticle.recommend.server.model.dto.aigc.IdPlatformDTO;
import com.tzld.longarticle.recommend.server.model.entity.aigc.*;
import com.tzld.longarticle.recommend.server.model.vo.DailyAuditProduceExport;
import com.tzld.longarticle.recommend.server.model.vo.IdNameVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AigcBaseMapper {

    List<CrawlerPlanResultRel> getCrawlerPlanRelByChannelContentIds(List<String> channelContentIds);

    List<CrawlerPlan> getCrawlerPlanByPlanIds(List<String> planIds);

    CrawlerContent getCrawlerContentByChannelContentId(String channelContentId);

    List<CrawlerContent> getCrawlerContentByChannelContentIdIn(List<String> channelContentIds);

    List<ProduceContentDTO> getProduceContentByPlanId(String planId);

    List<ProducePlanExeRecord> getAllByProducePlanId(List<String> producePlanIds);

    List<CrawlerPlan> getColdCrawlerPlan(Long timeStart, Long timeEnd, List<String> planTags);

    List<ProducePlanAuditCheckDTO> getProducePlanAudit(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProducePlanAuditCheckDTO> getProducePlanProduce(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProduceTaskAtom> getProduceScoreGreaterThan(Long startTimeStamp, Long endTimeStamp);

    List<ProduceTaskAtom> getProduceScoreByContentId(List<String> planExeIds);

    List<ContentPoolTypeDTO> getContentPoolType(List<String> contentIds);

    List<String> getProducePlanId();

    List<String> getCrawlerPlanByProducePlanIds(List<String> producePlanIds);

    Long getCrawlerContentCountByCrawlerPlanIds(List<String> crawlerPlanIds, Long start, Long end);

    List<String> getCrawlerSuccessPlanByCrawlerPlanIds(List<String> crawlerPlanIds, Long start, Long end);

    Long getProduceContentCountByProducePlanIds(List<String> producePlanIds, Long start, Long end);

    Long getProduceAuditPassCountByProducePlanIds(List<String> producePlanIds, List<Integer> auditStatus, Long start, Long end);

    Long getCrawlerContentCountByCrawlerPlanIdsAndChannel(List<String> crawlerPlanIds, Long start, Long end, Integer channel);

    List<String> getCrawlerSuccessPlanByCrawlerPlanIdsAndChannel(List<String> crawlerPlanIds, Long start, Long end, Integer channel);

    Long getProduceContentCountByProducePlanIdsAndChannel(List<String> producePlanIds, Long start, Long end, Integer channel);

    Long getProduceAuditPassCountByProducePlanIdsAndChannel(List<String> producePlanIds, List<Integer> auditStatus, Long start, Long end, Integer channel);

    Long getProduceAuditPassCountByProducePlanIds(List<String> producePlanIds, Long start, Long end);

    List<String> getPlanExeIdByAccountName(List<String> accountNames);

    List<ProduceReviewRecord> getReviewList(List<String> planExeIds);

    List<BadCrawlerAccountDTO> getBadAccountList(List<String> producePlanIds);

    void setCrawlerContentDisuseByAccountName(List<String> accountNames);

    List<ProduceContentDTO> getProduceContentById(List<String> planExeIds);

    List<IdNameVO<String>> articleVideoAuditPlanFilterValue(List<String> planIds, String searchKeyword);

    List<String> getProduceContentTitleByPlanId(String planId);

    List<IdChannelDTO> getIdChannelByContentId(List<String> idList);

    List<String> getTodaySpecialAdAccountNames(String dateStr);

    Long getVideoPoolPlatformCrawlerCount(Long start, Long end, String platform);

    Long getVideoPoolPlatformProduceCount(List<String> producePlanIds, Long start, Long end, String platform);

    Long getVideoPoolPlatformProduceAuditPassCount(List<String> producePlanIds, List<Integer> auditStatus, Long start, Long end, String platform);

    List<IdPlatformDTO> getIdPlatformByContentId(List<String> idList);

    List<DailyAuditProduceExport> getAccountDailyProduceAuditCount(Long startTimeStamp, Long endTimeStamp);

    List<PublishContent> getTodayPublishContentList(String accountId, Long todayStart);
}
