package com.tzld.longarticle.recommend.server.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.dto.*;
import com.tzld.longarticle.recommend.server.model.dto.aigc.PublishAccountRemarkDTO;
import com.tzld.longarticle.recommend.server.model.dto.aigc.PublishPlanAccountDTO;
import com.tzld.longarticle.recommend.server.model.entity.aigc.PublishAccount;
import com.tzld.longarticle.recommend.server.model.entity.aigc.PublishContent;
import com.tzld.longarticle.recommend.server.model.entity.aigc.PublishPlanMiniprogramTask;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.Account;
import com.tzld.longarticle.recommend.server.model.param.MiniprogramTaskParam;
import com.tzld.longarticle.recommend.server.model.param.PublishContentParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PublishContentMapper {

    List<PublishContentDTO> getPublishContentByTitle(List<PublishContentParam> list);

    List<PublishPlanMiniprogramTask> getMiniProgramTask(List<MiniprogramTaskParam> miniprogramTaskParamList);

    List<NotPublishPlan> getNotPublishPlan(Long todayStart);

    Integer getPublishPlanPushType(String planId);

    List<PublishAccount> getPublishAccounts(String planId, Long todayStart);

    List<PublishPlanAccountDTO> getPublishPlanAccounts(List<String> planIds);

    List<ProduceContentDTO> getSourceProduceContentByTitles(List<String> titleList);

    List<AccountTypeFansDTO> getAccountTypeFans();

    List<PublishContentDTO> getHisPublishByTitles(List<String> titleList);

    List<PublishContent> getNearestPublishContent(String publishAccountId, Long publishTimestamp, Integer size);

    List<PublishContent> getLateNearestPublishContent(String publishAccountId, Long publishTimestamp);

    List<PublishPlanAccountNotifyDTO> checkPublishPlanAccount();

    List<PublishContentMiniprogramDTO> getPublishContentByTraceIdIn(List<String> traceIds);

    List<PublishGzhPushContentRelDTO> getPushContentRelByPublishContentIdIn(List<String> publishContentIds);

    List<PublishGzhPushDTO> getPushByPushIdIn(List<String> pushIds);

    List<PublishGzhPushDTO> getPushByPushTimeBetween(Long start, Long end, List<String> accountNames);

    List<PublishGzhPushContentRelDTO> getGroupPushRelByPushIdIn(List<String> pushIds);

    PublishContentDTO getPublishContentById(String publishContentId);

    List<PublishContentDTO> getPublishContentByIdIn(List<String> publishContentIds);

    List<PublishContentDTO> getPublishContentBySourceIdIn(List<String> sourceIds);

    List<PublishAccountTypeDTO> getAccountTypeList(List<String> ghIds);

    List<String> getOnlyMiniprogramArticle(Integer offset, Integer pageSize);

    void updatePublishContentSingleMiniProgram(List<String> publishContentIds);

    void updatePublishContentStatus(String sourceId, Integer status, Integer oldStatus);

    List<String> getPublishAccountIds();

    List<Account> getAccountByIds(List<String> accountIds);

    List<PublishPlanMiniprogramTask> getAccountMiniprogramTaskList(String id);

    List<PublishAccountRemarkDTO> getPublishAccountRemarkList(List<String> accountIds);
}
